CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2024 开发者帮助

Materials 属性 (ActiveX)

2024-5-18 19:08| 发布者: admin| 查看: 80| 评论: 0|原作者: admin|来自: AutoCAD

Materials 属性 (ActiveX)

返回数据库的材料集合。

支持的平台:仅限 Windows

签名

VBA:

object.Materials
对象

类型:数据库文档

应用此属性的对象。

属性值

只读:是的

类型: 材料

数据库的集合。Materials

言论

没有其他评论。

例子

VBA:

Sub Example_AddMaterial()
    Dim oMaterial As AcadMaterial
    Dim oMaterials As AcadMaterials
    Set oMaterial = ThisDrawing.Materials.Add("TestMaterial")
    oMaterial.Description = "This material demonstrates how to add a material to a database."
    ThisDrawing.ActiveMaterial = oMaterial
    
    ' Display the name and description of the layer
    MsgBox oMaterial.Name & " has been added." & vbCrLf & _
            "Name: " & vbCrLf & oMaterial.Name & vbCrLf & vbCrLf & _
            "Description: " & vbCrLf & _
            oMaterial.Description

End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_Materials()
    (setq acadObj (vlax-get-acad-object)
          doc (vla-get-ActiveDocument acadObj))

    (if (= (strcase (getvar "PROGRAM") T) "acad")
        (progn
            (setq oMaterial (vla-Add (vla-get-Materials doc) "TestMaterial"))
            (vla-put-Description oMaterial "This material demonstrates how to add a material to a database.")
            (vla-put-ActiveMaterial doc oMaterial)
        )
        (setq oMaterial (vla-get-ActiveMaterial doc))
    )

    ;; Display the status of the new layer
    (alert (strcat (vla-get-Name oMaterial) " has been added."
                   "\nName: " (vla-get-Name oMaterial)
                   "\nDescription: " (vla-get-Description oMaterial)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2024-12-15 22:04

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部